--天墉城
--威震天下

--脚本号
x101011_g_scriptId=101011
--环任务id MissionRoundConfigId
x101011_g_missionRoundConfigId = 5
--任务最低等级
x101011_g_MinLevel=20
--事件交互入口
function x101011_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]只有歷經磨練，才能有所成長[-]")

	AddNumText(scene,x101011_g_scriptId,"威震天下(20級)",-2,0)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end




--事件列表选中一项

function x101011_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==0 then
		if GetLevel(scene,selfId) >=x101011_g_MinLevel then
			AcceptRoundMission(scene,selfId,x101011_g_missionRoundConfigId)
		else 
			--等级不足
			SendServerTips(scene,selfId,"#{31000}")
		end
	end
end